Changing system requirements (on July 10th)

Changing system requirements (on July 10th)

PostPosted: Thu Jun 27, 2013 12:01 pm

Thunderbird
Posts: 148
Joined: Fri Sep 03, 2004 10:07 pm
Contact:
It looks like the system requirements for EvE are changing. For those who haven't seen the new ones:

Windows XP (SP2) / Vista / 7 / 8 (7 or 8 recommended)
Dual Core processor at 2GHz (Quad core 2.0GHz recommended)
RAM: 1GB with XP, 2GB with others (4GB+ recommended)
GPU: AMD Radeon 2600 XT or nVidia GeForce 8600 GTS (256MB VRAM)
Recommended GPU: AMD Radeon 6790 or nVidia GeForce GTX 560 (with at least 1GB VRAM)

It looks like my system meets the minimum, but not quite the recommended (I have a Quad core 1.4GHz, 6GB RAM, and a AMD Radeon 6720 with 1GB VRAM).

Re: Changing system requirements (on July 10th)

PostPosted: Thu Jun 27, 2013 12:22 pm

User avatar
SL33PY
Posts: 980
Joined: Wed Oct 27, 2004 7:25 pm
Contact:
i'm set i got an Core i5 2500k with 8 gigs (or 16 not sure) of ram and a dual GTX 560 SLI setup


Return to “EvE Online”


Information

  • Who is online

  • Users browsing this forum: No registered users and 3 guests

cron